## apport 2.20.11-0ubuntu80

=== debian/changelog ===
apport (2.20.11-0ubuntu80) jammy; urgency=medium

  * kde/apport-kde: Ensure we are passing integers to setGeometry
    (LP: #1965830) 

 -- Brian Murray <brian@ubuntu.com>  Mon, 28 Mar 2022 12:34:10 -0700
