## apport 2.20.11-0ubuntu82

=== debian/changelog ===
apport (2.20.11-0ubuntu82) jammy; urgency=medium

  * whoopsie-upload-all:
    - Catch zlib.error when decoding CoreDump from crash file (LP: #1947800)
    - Catch FileNotFoundError during process_report (LP: #1867204)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 13 Apr 2022 22:20:41 +0200

apport (2.20.11-0ubuntu81) jammy; urgency=medium

  * etc/apport/crashdb.conf: Disable Launchpad crash reports for 22.04
    release.

 -- Brian Murray <brian@ubuntu.com>  Tue, 12 Apr 2022 09:58:15 -0700
