=== debian/watch ===
version=3
http://launchpad.net/apport/+download .*/apport-([0-9.]+)\.tar\.gz
