## apport 2.20.11-0ubuntu82.5

=== debian/changelog ===
apport (2.20.11-0ubuntu82.5) jammy; urgency=medium

  * apport-gtk: Exclude trailing dot from URL links (LP: #1978301)
  * apport-bug: Add /snap/bin to PATH for Firefox snap on Lubuntu
    (LP: #1973470)
  * test:
    - Clear environment for test_run_as_real_user_no_sudo
    - Fix GTK UI tests if whoopsie.path is disabled
    - tests: Fix GTK UI race condition and reduce timeout again, saving
      five minutes test execution time (LP: #1780767)
    - tests: Fix race in tests for run_report_bug()

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 14 Apr 2023 01:08:26 +0200
