## apport 2.20.11-0ubuntu82.6

=== debian/changelog ===
apport (2.20.11-0ubuntu82.6) jammy; urgency=medium

  [ Chris Peterson ]
  * d/package-hooks/subiquity.py: update information collection (LP: #2067775)
    - Collect the ubuntu-desktop-bootstrap details if available
    - Add information about snap update/refresh state
    - Attach logs and change key names to align with the information
      attached by subiquity's self-collection
    - Attach hardware information
    - Ensure bug reports are always private since there may be private
      information in the logs
    - Don't require sudo for logs collection
    - Add journal logs
    - Ensure snap revision is included in both deb and snap collection
      style
    - Handle version information when permission elevation fails.

  [ Benjamin Drung ]
  * Switch source format from 1.0 native to 3.0 (native)
    for betting handling in git

 -- Chris Peterson <chris.peterson@canonical.com>  Wed, 10 Jul 2024 16:48:53 +0200
