## apport 2.20.11-0ubuntu82.9

=== debian/changelog ===
apport (2.20.11-0ubuntu82.9) jammy-security; urgency=medium

  * SECURITY REGRESSION: exception during core dump handling (LP: #2112466)
    - data/apport: Catch FileNotFoundError when trying to open /proc/<pid>.

 -- Octavio Galland <octavio.galland@canonical.com>  Tue, 08 Jul 2025 12:44:47 -0300
