=== debian/changelog ===
apport (2.20.11-0ubuntu82.10) jammy-security; urgency=medium

  * SECURITY REGRESSION: Type error during error handling (LP: #2117236)
    - data/apport: Use correct format specifier during error handling when
      /proc/<pid> is not found.

 -- Octavio Galland <octavio.galland@canonical.com>  Tue, 29 Jul 2025 12:25:17 -0300
