=== debian/control ===
--- 
+++ 
@@ -30,7 +30,8 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Standards-Version: 3.9.8
 X-Python3-Version: >= 3.0
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/jammy/apport/ubuntu
+Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/apport/+git/apport
+Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/apport -b ubuntu/jammy
 Homepage: https://wiki.ubuntu.com/Apport
 
 Package: apport
