=== debian/tests/control ===
Tests: upstream-system
Depends: apport,
 apport-retrace,
 apport-valgrind,
 apport-gtk,
 apport-kde,
 build-essential,
 psmisc,
 python3-twisted,
 python3-mock,
 python3-systemd,
 xvfb,
 xterm,
 dbus-x11,
 at-spi2-core,
 gvfs-daemons,
 gnome-icon-theme,
 libglib2.0-dev,
Restrictions: allow-stderr, isolation-container, needs-root
