## apport 2.23.1

=== debian/changelog ===
apport (2.23.1-0ubuntu3.2) kinetic-security; urgency=medium

  * Let apport depend on recent python3-problem-report for recent bug fix
  * SECURITY UPDATE: viewing an apport-cli crash with default pager could
    escalate privilege (LP: #2016023)
    - d/p/refactor-Introduce-run_as_real_user.patch: Introduce
      run_as_real_user()
    - d/p/fix-Only-open-browser-as-user-via-sudo-if-running-as-root.patch:
      Only open browser as user (via sudo) if running as root
    - d/p/Replace-sudo-by-dropping-privileges-ourselves.patch: Replace sudo by
      dropping privileges ourselves
    - debian/patches/CVE-2023-1326.patch: drops privilege to users environment
      before execution
    - CVE-2023-1326

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 12 Apr 2023 12:38:24 +0200

apport (2.23.1-0ubuntu3.1) kinetic; urgency=medium

  * Declare python3-apport breaking older apport/apport-gtk/apport-kde
    (LP: #1997759)
  * Catch malformed problem report (LP: #1996040)
  * Catch ValueError: not enough values to unpack (LP: #1995100)

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 08 Dec 2022 02:38:15 +0100

apport (2.23.1-0ubuntu3) kinetic; urgency=medium

  * etc/apport/crashdb.conf: Disable Launchpad crash reports for 22.10
    release.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Thu, 13 Oct 2022 10:39:02 +0530

apport (2.23.1-0ubuntu2) kinetic; urgency=medium

  * tests: Determine source package dynamically in test_run_crash_kernel
    (LP: #1992172)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 07 Oct 2022 18:24:45 +0200

apport (2.23.1-0ubuntu1) kinetic; urgency=medium

  * New upstream bug-fix release.
    - Disable debuginfod when collecting a report (LP: #1989803)
    - apport-cli: Fix AttributeError: 'bytes' object has no attribute 'fileno'
      (LP: #1991200)
    - apport-bug: Add `/snap/bin` to `PATH` for Firefox snap on Lubuntu
      (LP: #1973470)
  * Drop cherry-picked upstream patches
  * tests: Fix path for installed apport-cli

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 05 Oct 2022 16:25:48 +0200

apport (2.23.0-0ubuntu2) kinetic; urgency=medium

  * tests: Wait for test process to be started (LP: #1989365)
  * tests: Fix psutil.NoSuchProcess in wait_for_gdb_child_process
    (LP: #1989371)

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 15 Sep 2022 14:04:42 +0200

apport (2.23.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release:
    - apport-gtk:
      - Gracefully handle import failure of gi (LP: #1980561)
      - Catch AssertionError when importing Gdk (LP: #1980238)
    - data/apport:
      - Fix PermissionError for setuid programs inside container (LP: #1982487)
      - Fix reading from stdin inside containers (LP: #1982555)
    - apport-kde:
      - Fix inverse order of choices (LP: #1967965)
      - Import apport before usage (LP: #1980553)
      - Drop old workaround for bug in SIP destructor (LP: #1980553)
    - apport-unpack: Fix ValueError: ['separator'] has no binary content
      (LP: #1889443)
    - Fix _run_hook getting called with ui=None (LP: #1983481)
  * Refresh patches and drop backported patches
  * Fix pydocstyle and pylint complains in patches

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 22 Aug 2022 22:31:55 +0200

apport (2.22.0-0ubuntu4) kinetic; urgency=medium

  * tests: Use sleep instead of yes for tests
  * apport: Initialize error log as first step
  * Depend on python3-systemd for autopkgtest system-tests

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 07 Jul 2022 20:44:02 +0200

apport (2.22.0-0ubuntu3) kinetic; urgency=medium

  * tests: Fix killing test executable too early (LP: #1980390)
  * tests: Fix test_add_gdb_info_script on armhf
  * autopkgtest: Depend on Ubuntu keyring packages for system tests
  * tests: Fix wrong Ubuntu archive URI on ports
  * tests: Fix KeyError in test_install_packages_unversioned
  * Fix trying to find debug packages for non-existing version
  * tests: Upgrade APT tests to use Ubuntu 22.04 (jammy)
  * tests: Fix IndexError in test_crash_setuid_drop
  * tests: Print Apport log if no report is found

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 06 Jul 2022 16:56:52 +0200

apport (2.22.0-0ubuntu2) kinetic; urgency=medium

  * apport-gtk: Fix importing the wrong Gdk version

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 28 Jun 2022 13:41:05 +0200

apport (2.22.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release:
    - Replace `ProblemReport.get_date` by `ProblemReport.get_timestamp`, fixes
      regression in 2.21.0 (LP: #1978487)
    - apport-gtk: Exclude trailing dot from URL links (LP: #1978301)
    - Fix `AttributeError`: 'NoneType' object has no attribute 'write', fixes
      regression in 2.21.0 (LP: #1979211)
    - apport_python_hook: Properly handle missing modules (LP: #1774843)
    - apport_python_hook: Fix FileNotFoundError if the current directory was
      deleted (LP: #1979637)
    - apport_python_hook: Fix crash if os.getcwd() fails (LP: #1977954)
    - Replace deprecated 'imp' module (LP: #1947425)
    - whoopsie-upload-all: Fix 'EOFError' object has no attribute 'errno',
      fixes regression in 2.21.0 (LP: #1979681)
  * Fix KeyError: 'CasperMD5json'

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 27 Jun 2022 12:03:00 +0200

apport (2.21.0-0ubuntu2) kinetic; urgency=medium

  * tests: Use unlimited core ulimit for SIGQUIT test
  * data/apport: Fix log file writing if chown/chmod fails

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 10 Jun 2022 15:39:32 +0200

apport (2.21.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release.
    - data/apport: Limit memory and duration of gdbus call. (CVE-2022-28654,
      CVE-2022-28656)
    - data/apport, apport/fileutils.py, test/test_fileutils.py: Validate
      D-Bus socket location. (CVE-2022-28655)
    - apport/fileutils.py, test/test_fileutils.py: Turn off interpolation
      in get_config() to prevent DoS attacks. (CVE-2022-28652)
    - Switch from chroot to container to validating socket owner.
      (CVE-2022-1242, CVE-2022-28657)

