## apport 2.26.1

=== debian/changelog ===
apport (2.26.1-0ubuntu2) lunar; urgency=medium

  * fix(tests): Clear environment for test_run_as_real_user_no_sudo

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 14 Apr 2023 00:17:27 +0200

apport (2.26.1-0ubuntu1) lunar; urgency=medium

  [ Benjamin Drung ]
  * New upstream bug-fix release.
    - SECURITY UPDATE: viewing an apport-cli crash with default pager could
      escalate privilege (LP: #2016023). Do not run sensible-pager as root
      if using sudo/pkexec.
    - Catch HTTPError in UserInterface.file_report (LP: #2008638)
    - Print proper error message if /proc/<pid> is gone (LP: #2008638)
    - Do not drop environment variables when calling GDB (LP: #2012374)
    - Fix parsing options with spaces in sources.list (LP: #1822712)
  * Disable Launchpad crash reports for 23.04 release

  [ Sebastien Bacher ]
  * Let subiquity collect the desktop installer details if available

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 12 Apr 2023 20:17:37 +0200

apport (2.26.0-0ubuntu2) lunar; urgency=medium

  * fix: Mock query to Github in integration test

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 24 Feb 2023 16:17:43 +0100

apport (2.26.0-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Depend on python3-requests for GitHub crash DB backend

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 24 Feb 2023 01:50:21 +0100

apport (2.25.0-0ubuntu1) lunar; urgency=medium

  * New upstream release.
    - Add general hook image.py for collecting cloud build info
      (LP: #1724623)
    - Catch UnicodeDecodeError on a malformed problem report (LP: #1996040)
    - Fix TypeError in error(): not enough arguments for format string
      (LP: #1562477)
    - whoopsie-upload-all: Use NoninteractiveHookUI for add_hooks_info
      (LP: #2003098)
    - Use inclusive names. This includes renaming the directory
      /etc/apport/blacklist.d to /etc/apport/report-ignore and
      /etc/apport/whitelist.d to /etc/apport/report-only
  * Drop wine-preloader from Apports report-ignore list
  * Drop unneeded dependency on transitional lsb-base
  * Replace transitional policykit-1 by pkexec and polkitd
  * Bump Standards-Version to 4.6.2
  * Install apport-kde.desktop into apport-kde
  * Use dh_missing --fail-missing
  * Replace lsb_release call by platform.freedesktop_os_release and drop
    lsb-release dependency

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 16 Feb 2023 12:03:57 +0100

apport (2.24.0-0ubuntu2) lunar; urgency=medium

  * Fix test failures with Python 3.11 (PR #57)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 10 Jan 2023 17:34:18 +0100

apport (2.24.0-0ubuntu1) lunar; urgency=medium

  * New upstream bug-fix release.
    - Catch malformed problem reports (LP: #1996040)
    - Catch ValueError: not enough values to unpack (LP: #1995100)
    - Catch FileNotFoundError for missing desktop files (LP: #1997753)
    - Catch binascii.Error: Incorrect padding (LP: #1997912)
    - Catch AttributeError: NoneType object has no attribute origins
      (LP: #1997973)
  * Drop cherry-picked upstream patches
  * oem-getlogs: Use colon instead of a dot for chown command
  * Remove redundant section from apport-noui
  * Clarify that apport-noui is empty
  * Run black, isort, pydocstyle, pylint during package build

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 08 Dec 2022 01:37:20 +0100

apport (2.23.1-0ubuntu5) lunar; urgency=medium

  * Declare python3-apport breaking older apport/apport-gtk/apport-kde
    (LP: #1997759)
  * build: Bump source/target Java version to 7

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 05 Dec 2022 13:22:03 +0100

apport (2.23.1-0ubuntu4) lunar; urgency=medium

  * etc/apport/crashdb.conf: Enable Launchpad crash reports for lunar

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 15 Nov 2022 16:31:53 +0100
