=== debian/rules ===
--- 
+++ 
@@ -31,8 +31,5 @@
 	dh_install -X.pyc -X.egg-info
 	pod2man -c Debhelper -r "$(DEB_VERSION)" debhelper/dh_apport debhelper/dh_apport.1
 
-override_dh_missing:
-	dh_missing --list-missing
-
 override_dh_python3:
 	dh_python3 --skip-private
