=== debian/tests/control ===
Test-command: cp -r tests "$AUTOPKGTEST_TMP" && cd "$AUTOPKGTEST_TMP" && python3 -m unittest -v tests/unit/test_*.py tests/integration/test_*.py
Depends:
 apport,
 apport-retrace,
 apport-valgrind,
 default-jdk-headless | java-sdk-headless,
 gcc,
 kmod,
 libc6-dev,
 python3-distutils,
 python3-psutil,
 python3-systemd,
Restrictions: allow-stderr, needs-root
Features: test-name=unit-and-integration-tests

Tests: system-tests
Depends:
 apport,
 apport-gtk,
 apport-kde,
 apport-retrace,
 apport-valgrind,
 dbus,
 dbus-x11,
 dirmngr,
 gcc,
 gnome-icon-theme,
 gpg,
 gvfs-daemons,
 psmisc,
 python3-dbus,
 python3-systemd,
 ubuntu-dbgsym-keyring,
 ubuntu-keyring,
 xvfb,
Restrictions: allow-stderr, isolation-container, needs-root
