## apport 2.27.0

=== debian/changelog ===
apport (2.27.0-0ubuntu5) mantic; urgency=medium

  * d/p/lp2038650: Fix crash reporting when going through the UI (LP: #2038650)

 -- Simon Chopin <schopin@ubuntu.com>  Mon, 09 Oct 2023 15:52:13 +0200

apport (2.27.0-0ubuntu4) mantic; urgency=medium

  * Disable Launchpad crash reports for the 23.10 release

 -- Brian Murray <brian@ubuntu.com>  Mon, 02 Oct 2023 12:56:17 -0700

apport (2.27.0-0ubuntu3) mantic; urgency=medium

  * fix: raise "gdb not found" as soon as detected (LP: #2031919)
  * bash-completion: Do not use ls in completion (LP: #1850804)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 29 Sep 2023 01:03:44 +0200

apport (2.27.0-0ubuntu2) mantic; urgency=medium

  * Run only pylint --errors-only and mypy from tests/run-linters (LP: #2028881)
  * Depend on dictionaries-common for having a dpkg diversion test package
    (LP: #2028879)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 28 Jul 2023 18:59:34 +0200

apport (2.27.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
    - apport-unpack: Catch MalformedProblemReport on extraction (LP: #1997912)
  * Switch running test suite with pytest
  * Apply black changes and pylint fixes to patches

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 24 Jul 2023 20:36:16 +0200

apport (2.26.1-0ubuntu3) mantic; urgency=medium

  * Enable Launchpad crash reports for mantic

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 02 May 2023 14:07:28 +0200
