=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
  dh-translations,
  gdb,
  gir1.2-glib-2.0 (>= 1.29.17),
- lsb-release,
  pkg-config,
  python3-all,
  python3-gi,
@@ -18,34 +17,36 @@
  intltool,
  iputils-ping,
  kmod,
- pycodestyle | pep8,
- pyflakes3,
+ pylint,
  python3-apt (>= 0.7.9),
+ python3-dbus,
  python3-distutils-extra (>= 2.24~),
  python3-launchpadlib,
  python3-psutil,
+ python3-pytest,
+ python3-requests,
+ python3-rpm,
  python3-systemd,
+ python3-yaml,
  valgrind,
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/apport/+git/apport
-Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/apport -b ubuntu/kinetic
+Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/apport
 Homepage: https://wiki.ubuntu.com/Apport
 
 Package: apport
 Architecture: all
 Depends:
  gir1.2-glib-2.0 (>= 1.29.17),
- lsb-base (>= 3.0-6),
  python3,
  python3-apport (>= ${source:Version}),
  python3-gi,
- python3-problem-report (>= 2.23.1-0ubuntu3.1),
  sensible-utils,
  ${misc:Depends},
 Recommends: apport-symptoms, python3-systemd
-Suggests: apport-gtk | apport-kde, policykit-1
+Suggests: apport-gtk | apport-kde, pkexec, polkitd
 Replaces: core-dump-handler, python-apport (<< 2.2-0ubuntu1)
 Breaks: python-apport (<< 2.2-0ubuntu1)
 Conflicts: core-dump-handler
@@ -76,11 +77,11 @@
 Section: python
 Architecture: all
 Depends:
- lsb-release,
  python3-apt (>= 0.7.9),
  python3-httplib2,
  python3-launchpadlib,
  python3-problem-report (>= 0.94),
+ python3-requests,
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends},
@@ -196,7 +197,6 @@
  packages to include apport hooks.
 
 Package: apport-noui
-Section: utils
 Architecture: all
 Depends:
  apport (>= 2.20.10-0ubuntu4),
@@ -212,4 +212,4 @@
  helper hook provided by the Ubuntu kernel.
  .
  Installing this package will configure your system to automatically submit
- all new Apport crash reports.
+ all new Apport crash reports. Besides that it is an empty package.
