=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,8 @@
 
 override_dh_auto_test:
 ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	tests/run-linters
-	python3 -m unittest -v tests/unit/test_*.py tests/integration/test_*.py
+	tests/run-linters --errors-only
+	python3 -m pytest -ra -v tests/unit/ tests/integration/
 endif
 
 override_dh_installinit:
