=== debian/tests/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
-Test-command: cp -r tests "$AUTOPKGTEST_TMP" && cd "$AUTOPKGTEST_TMP" && python3 -m unittest -v tests/unit/test_*.py tests/integration/test_*.py
+Test-command: cp -r tests "$AUTOPKGTEST_TMP" && cd "$AUTOPKGTEST_TMP" && python3 -m pytest -ra -v tests/unit/ tests/integration/
 Depends:
  apport,
  apport-retrace,
  apport-valgrind,
  default-jdk-headless | java-sdk-headless,
+ dictionaries-common,
  gcc,
  kmod,
  libc6-dev,
  python3-distutils,
  python3-psutil,
+ python3-pytest,
  python3-systemd,
 Restrictions: allow-stderr, needs-root
 Features: test-name=unit-and-integration-tests
@@ -29,6 +31,7 @@
  gvfs-daemons,
  psmisc,
  python3-dbus,
+ python3-pytest,
  python3-systemd,
  ubuntu-dbgsym-keyring,
  ubuntu-keyring,
